%global _scl_prefix      /opt/oro
%{?scl:%scl_package nodejs}
%{!?scl:%global pkg_name %{name}}

Name: %{?scl_prefix}nodejs
Version: 12.10.0
Release: 1%{dist}
Summary: JavaScript runtime
License: MIT and ASL 2.0 and ISC and BSD
URL: http://nodejs.org/
Group: Networking/WWW
Packager: Viacheslav Dubrovskyi <vdubrovskyi@oroinc.com>
#BuildArch: noarch
#Use binary because for build in in koji needs network
Source0: https://nodejs.org/dist/v%{version}/node-v%{version}-linux-x64.tar.xz

%{?scl:Requires: %{scl}-runtime}
BuildRequires: oro-nodejs12-build

%description
Node.js is a JavaScript runtime built on Chrome's V8 JavaScript engine.

%prep
%setup -n node-v%{version}-linux-x64

%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
mkdir -p %buildroot%_prefix
cp -rf * %buildroot%_prefix/
%{?scl:EOF}

%files
%doc LICENSE* README* CHANGELOG*
%_prefix/bin/*
%_prefix/lib/*
%_prefix/include/*

%exclude /usr/lib/debug
%exclude %_prefix/*.md
%exclude %_prefix/LICENSE
%exclude %_prefix/share

%changelog
* Wed Sep 25 2019 Viacheslav Dubrovskyi <vdubrovskyi@oroinc.com> - 12.10.0-1
- Initial build for Oro
